Bug 115720 - [GTK][WK2] Add the WebKitBatteryProvider class
Summary: [GTK][WK2] Add the WebKitBatteryProvider class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zan Dobersek
URL:
Keywords:
Depends on: 115718 115719
Blocks: 95582 125453
  Show dependency treegraph
 
Reported: 2013-05-07 03:37 PDT by Zan Dobersek
Modified: 2013-12-11 10:19 PST (History)
4 users (show)

See Also:


Attachments
Patch (12.43 KB, patch)
2013-05-07 03:57 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (12.38 KB, patch)
2013-05-15 01:15 PDT, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (12.36 KB, patch)
2013-11-06 04:06 PST, Zan Dobersek
no flags Details | Formatted Diff | Diff
Patch (12.36 KB, patch)
2013-12-09 07:34 PST, Zan Dobersek
mrobinson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2013-05-07 03:37:19 PDT
[GTK][WK2] Add the WebKitBatteryProvider class
Comment 1 Zan Dobersek 2013-05-07 03:57:32 PDT
Created attachment 200889 [details]
Patch
Comment 2 WebKit Commit Bot 2013-05-07 03:58:36 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Martin Robinson 2013-05-07 08:17:48 PDT
Perhaps we should share the EFL implementation for the moment?
Comment 4 Zan Dobersek 2013-05-15 01:15:07 PDT
Created attachment 201801 [details]
Patch
Comment 5 Zan Dobersek 2013-11-06 04:06:25 PST
Created attachment 216162 [details]
Patch

Rebased patch.
Comment 6 Zan Dobersek 2013-12-09 07:34:34 PST
Created attachment 218761 [details]
Patch

Rebased patch.
Comment 7 Martin Robinson 2013-12-11 06:31:03 PST
Comment on attachment 218761 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=218761&action=review

> Source/WebKit2/UIProcess/API/gtk/WebKitBatteryProvider.cpp:83
> +void WebKitBatteryProvider::updateBatteryStatus(WebCore::BatteryProviderUPowerStatus status, double timeRemaining, double level)

timeRemaining to something like secondsRemaining perhaps?
Comment 8 Zan Dobersek 2013-12-11 10:19:59 PST
Committed r160445: <http://trac.webkit.org/changeset/160445>